import type { StandardNangoConfig } from '@nangohq/shared';
declare class CompileService {
    run({ debug, scriptName, providerConfigKey, type }: {
        debug: boolean;
        scriptName?: string;
        providerConfigKey?: string;
        type?: string;
    }): Promise<boolean>;
}
export interface ListedFile {
    inputPath: string;
    outputPath: string;
    baseName: string;
}
export declare function getFileToCompile(filePath: string): ListedFile;
export declare function listFilesToCompile({ cwd, scriptName, config, debug }: {
    cwd?: string;
    scriptName?: string | undefined;
    config: StandardNangoConfig[];
    debug?: boolean;
}): ListedFile[];
declare const compileService: CompileService;
export default compileService;
